Name:           geocode-glib
Version:        3.26.2
Release:        4
Summary:        %{name} is helpful for geocoding
License:        LGPLv2+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/3.26/%{name}-%{version}.tar.xz

BuildRequires:  gettext gtk-doc glib2-devel gobject-introspection-devel 
BuildRequires:  json-glib-devel libsoup-devel libxslt meson
Requires:       json-glib

%description
Geocode-glib provides geocoding and reverse geocoding. Geocoding is the process of translating 
an address ("123 High Street, SomeTown, SomeCountry") to a pair of latitude/longitude values. 
Reverse geocoding is the opposite process.

%package        devel
Summary:        Development files included in %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files needed to develop with the %{name} library.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Denable-installed-tests=false
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING.LIB
%doc AUTHORS
%{_libdir}/libgeocode-glib.so.*
%{_libdir}/libgeocode-glib.so
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_datadir}/icons/gnome/scalable/places/*.svg

%files devel
%defattr(-,root,root)
%{_includedir}/geocode-glib-1.0/
%{_libdir}/pkgconfig/geocode-glib-1.0.pc
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
%doc %{_datadir}/gtk-doc/html/geocode-glib/

%files help
%defattr(-,root,root)
%doc README NEWS

%changelog
* Wed May 18 2022 loong-C <liweiganga@uniontech.com> - 3.26.2-4
- fix spec changelog date

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 3.26.2-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Tue Jul 20 2021 liuyumeng <liuyumeng5@huawei.com> - 3.26.2-2
- delete gdb in buildrequires

* Fri Jan 29 2021 yanglu <yanglu60@huawei.com> - 3.26.2-1
- version update

* Fri Mar 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.26.1-4
- add gdb in buildrequires

* Wed Jan 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.26.1-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add git in buildrequires

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.26.1-2
- Type:NA
- Id:NA
- SUG:NA
- DESC:update tarball

* Wed Aug 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.26.1-1
- Package init
